server.port=8080
spring.application.name=module-dance
spring.datasource.url=jdbc:postgresql://localhost:5432/module_dance_db 
spring.datasource.username=postgres
spring.datasource.password=postgres
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
spring.datasource.driver-class-name=org.postgresql.Driver

spring.jpa.show-sql=true
spring.jpa.hibernate.ddl-auto=update

spring.mail.host=smtp.gmail.com
spring.mail.port=587
spring.mail.username=zograb.matveev@gmail.com
spring.mail.password=ieqw wwkx dzmr xifr
spring.mail.properties.mail.smtp.auth=true
spring.mail.properties.mail.smtp.starttls.enable=true

admin.email=esvika.matveeva@gmail.com

springdoc.swagger-ui.path=/swagger-ui
springdoc.swagger-ui.enabled=true
springdoc.swagger-ui.syntaxHighlight.theme=monokai
springdoc.swagger-ui.tagsSorter=alpha
springdoc.version=1.0

spring.servlet.multipart.max-file-size=256MB
spring.servlet.multipart.max-request-size=256MB
spring.servlet.multipart.enabled=true